Bug 168617 - file(1) reports substring "SVR4-style" 16 times
Summary: file(1) reports substring "SVR4-style" 16 times
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: file   
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
low
Target Milestone: ---
: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-09-18 05:56 UTC by Alexey Roytman
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2006-0012
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 18:09:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
first 512000 bytes from specific core file from Solaris 8 SPARC (84.41 KB, text/plain)
2005-09-18 05:56 UTC, Alexey Roytman
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0012 qe-ready SHIPPED_LIVE file bug fix update 2006-03-06 05:00:00 UTC

Description Alexey Roytman 2005-09-18 05:56:11 UTC
Description of problem:

On a core file from Solaris 8 SPARC (maybe, specific core file) the command:
  file core-sun4u-begin
reports:
  core-sun4u-begin: ELF 32-bit MSB core file, SPARC, version 1 (SYSV),
SVR4-style, from 'my-application', SVR4-style, SVR4-style, SVR4-style,
SVR4-style, SVR4-style, SVR4-style, SVR4-style, SVR4-style, SVR4-style,
SVR4-style, SVR4-style, SVR4-style, SVR4-style, SVR4-style, SVR4-style, SVR4-style


Version-Release number of selected component (if applicable):
file-4.10-2.i386

How reproducible:
Every time.

Steps to Reproduce:
1. get the attached file (first 512000 bytes of a real core)
2. do "file" for the unpacked resulting file
3. see the output
  
Actual results:
- See in description.

Expected results:
- Something more tidy, like:
  core-sun4u-begin: ELF 32-bit MSB core file, SPARC, version 1 (SYSV),
SVR4-style, from 'my-application' 

Additional info:

Comment 1 Alexey Roytman 2005-09-18 05:56:11 UTC
Created attachment 118941 [details]
first 512000 bytes from specific core file from Solaris 8 SPARC

Comment 2 Alexey Roytman 2005-09-18 06:12:27 UTC
On RHEL3 (file-3.39-9) and on RHEL2.1 (file-3.39-8.7x), the output is OK.

By the way, I somewhy forgotten to mention that the attached file is gzip'ped.

Comment 3 Radek Vokal 2005-09-19 09:38:51 UTC
Fixed in Fedora Core - file-4.15-2 and adding on U3 Proposed List. 

Comment 9 Red Hat Bugzilla 2006-03-07 18:09:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0012.html



Note You need to log in before you can comment on or make changes to this bug.